SMTPd									  SMTPd


NAME

	SMTPd - SMTP Daemon for AS-225r2 and AmiTCP


SYNOPSIS

	SMTPd


DESCRIPTION

	SMTPd is designed to be fully compatible with RFC-821 and process
	most addresses accepted by RFC-822. It is an active daemon, in that
	it listens to its port (normally 25), and is *not* initiated by
	the INet daemon when an SMTP port open request occurs.

	SMTPd should *not* have an entry in inetd.conf.

	SMTPd accepts messages destined for the local host and delivers
	them to the local mailbox. SMTPd will regularly (every two minutes)
	retry previously failed mail which is present in the SMTP Spool
	Directory (to avoid system thrashing, SMTPd will only allow one
	retry to be active at a time).

	SMTPd requires one external program to be present for its operation,
	SMTPpost. SMTPpost *must* be in the program search path for SMTPd
	when SMTPd is initiated.

	SMTPd requires four environment variables to be assigned, or for
	the variables to be defined in the configuration file (named
	S:UUConfig or UULib:Config, in that order).

	The variables are:

		    SMTPSpoolDir
		    SMTPMailDir
		    SMTPSmarterHost
		    SMTPRMail

	SMTPMailDir points to where MailBoxes/Folders are located. It may
	be shared with UUCP MailBoxes and Folders (they are the same format).
	For AmiTCP, SMTPMailDir defaults to "AmiTCP:Mail/". For AS225, the
	default is "INet:Mail/".

	SMTPSpoolDir is the directory where SMTP spool files are to be
	located. If SMTPpost cannot locate a destination host, it places
	the articles in this directory, and retries sending the messages on
	a regular basis. It *may not* be shared with UUSpool. The batch
	files are a different format. For AmiTCP, SMTPSpoolDir defaults to
	"AmiTCP:MailSpool/". For AS225, the default is "INet:MailSpool/".

	SMTPSmarterHost is the SMTP host where mail is sent if a named
	destination host is not reachable. It is presumed to be an Internet
	host which has better routing information than does the host
	running this SMTPd.

	SMTPRMail defines the program that will deliver mail which was
	destined for this host. Typically, it is a copy of SMTPpost, renamed
	to RSMTP or SMTPpost with the -r argument.

	The environment variables may be defined as:

		Set SMTPMailDir      UUMail:
		Set SMTPSpoolDir     UUStuff:SMTPSpoolDir/
		Set SMTPSmarterHost  Mail.SmarterHost.COM
		Set SMTPRMail	     smtppost -r


INSTALLATION

	Simply install the binaries for SMTPd and SMTPpost where-ever you
	wish. Do note that SMTPpost *must* be in the path of SMTPd, whenever
	SMTPd is started.

	Create the relevant directories for SMTPMailDir and SMTPSpoolDir.

	A sample script (StartSMTPd) for executing SMTPd is included in
	the INetUtils archive.


DIAGNOSTICS

	SMTPd always returns success, except when initialization fails.
	If initialization fails, SMTPd returns a program value of thirty
	(30).

	Various problem conditions, as well as success conditions, are
	logged to the standard INetUtils logfile (INet:Logfile).


NOTES

	SMTPd delivered messages have been tested with AmigaUUCP, GMail,
	AmigaElm, Unix Elm and BBX.

	SMTPd is fully compatible with AmigaUUCP 1.16 and above. The
	mailbox folders may be shared (that is, SMTPMailDir may point
	to UUMail:). However, the spool directory may *not* be shared.
	That is, SMTPSpoolDir must not be UUSpool.

	The environment variables (or configuration variable) SMTPRMail
	must be specified to indicate a special program to be used to
	deliver incoming mail (AmigaUUCP does this with RMAIL). If
	specified, SMTPd will start the program as follows:

		    SMTPRMAIL user@host <incoming-file-name

	where SMTPRMAIL is the name of the program specified in the
	environment variable, user@host is the incoming address, and
	incoming-file-name is the (SMTPd generated) filename containing
	the incoming message.

	It is *highly recommended* that you do the following:

		    SetEnv SMTPRMail SMTPpost >nil: -r

	for aliases to have any hopes of working properly, or that you
	copy SMTPpost as RSMTP and:

		    SetEnv SMTPRMail RSMTP >nil:

	SMTPd uses the HostAliases environment/configuration variable to
	determine what alternate hostnames should be treated as the local
	hostname. . For example, if your host is "x.y.z", but you also
	need to accept mail to "zz.zz" as local to you, you should set
	that in HostAliases.

	In general, put "localhost,[ip.address],ip.address" plus any others
	into HostAliases.

	The comparison is *not* case sensitive.

	NOTE: the freeware version of SMTPd only uses the first two aliases
	      specified in HostAliases.

BUGS/TODO

	Lots yet on the TODO list.

	No bugs known.
